Assign resources to a user
curl --request POST \
--url https://api.quiva.ai/accounts/assign-resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>",
"read": true,
"write": true,
"execute": true,
"delete": true
}
]
}
'import requests
url = "https://api.quiva.ai/accounts/assign-resources"
payload = {
"user_id": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>",
"read": True,
"write": True,
"execute": True,
"delete": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
resources: [
{
type: '<string>',
id: '<string>',
read: true,
write: true,
execute: true,
delete: true
}
]
})
};
fetch('https://api.quiva.ai/accounts/assign-resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/assign-resources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => '<string>',
'resources' => [
[
'type' => '<string>',
'id' => '<string>',
'read' => true,
'write' => true,
'execute' => true,
'delete' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/assign-resources"
payload := strings.NewReader("{\n \"user_id\": \"<string>\",\n \"resources\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"read\": true,\n \"write\": true,\n \"execute\": true,\n \"delete\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/accounts/assign-resources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": \"<string>\",\n \"resources\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"read\": true,\n \"write\": true,\n \"execute\": true,\n \"delete\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/assign-resources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": \"<string>\",\n \"resources\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"read\": true,\n \"write\": true,\n \"execute\": true,\n \"delete\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Resource Access
Assign resources to a user
Grants a member of the caller’s account access to resources such as spaces, with optional read, write, execute and delete permissions. Admin or root only.
POST
/
accounts
/
assign-resources
Assign resources to a user
curl --request POST \
--url https://api.quiva.ai/accounts/assign-resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>",
"read": true,
"write": true,
"execute": true,
"delete": true
}
]
}
'import requests
url = "https://api.quiva.ai/accounts/assign-resources"
payload = {
"user_id": "<string>",
"resources": [
{
"type": "<string>",
"id": "<string>",
"read": True,
"write": True,
"execute": True,
"delete": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
resources: [
{
type: '<string>',
id: '<string>',
read: true,
write: true,
execute: true,
delete: true
}
]
})
};
fetch('https://api.quiva.ai/accounts/assign-resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/assign-resources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user_id' => '<string>',
'resources' => [
[
'type' => '<string>',
'id' => '<string>',
'read' => true,
'write' => true,
'execute' => true,
'delete' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/assign-resources"
payload := strings.NewReader("{\n \"user_id\": \"<string>\",\n \"resources\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"read\": true,\n \"write\": true,\n \"execute\": true,\n \"delete\": true\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.quiva.ai/accounts/assign-resources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"user_id\": \"<string>\",\n \"resources\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"read\": true,\n \"write\": true,\n \"execute\": true,\n \"delete\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/assign-resources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"user_id\": \"<string>\",\n \"resources\": [\n {\n \"type\": \"<string>\",\n \"id\": \"<string>\",\n \"read\": true,\n \"write\": true,\n \"execute\": true,\n \"delete\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Body
application/json